Documentation Index
Fetch the complete documentation index at: https://sequence-0fb8d9e6-unreal-quickstart-with-marketplace.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Subscribe to Blockchain Events
You can subscribe to different blockchain events in real time using subscription endpoints. Use filters to listen for particular contract addresses, account addresses, and/or token IDs.Subscribing to Events
Sequence IndexerSubscribeEvents Method:
- Request:
POST /rpc/Indexer/SubscribeEvents - Content-Type:
application/json - Body (in JSON):
Filters([]object) — an array of filterscontractAddresses([]string) — a ERC20 / ERC721 / ERC1155 contract addressaccounts([]string) — wallet addressestokenIDs([]int) optional — an array of token idsevents([]string) — an array of event namestopicHashes([]string) — an array of topic hashes
contractAddresses, accounts must be provided in the filter.
Subscribing to Balance Updates
Sequence IndexerSubscribeBalanceUpdates Method:
Subscribing to Receipts
Sequence IndexerSubscribeBalanceUpdates Method:
Example SubscribeEvents